Bug 170972 - nail: useless debuginfo package
Summary: nail: useless debuginfo package
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nail   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dmitry Butskoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-16 19:11 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 11.25-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-18 11:22:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2005-10-16 19:11:27 UTC
The build of nail strips the binary, producing a useless debuginfo package.  
Quick and dirty fix: 
 
--- nail.spec   3 Oct 2005 11:27:21 -0000       1.2 
+++ nail.spec   16 Oct 2005 19:13:05 -0000 
@@ -37,7 +37,7 @@ 
 %prep 
 %setup -q 
 %patch0 -p1 
- 
+sed -i -e 's/ -s / /' Makefile 
 cp %{SOURCE1} %{name}.html

Comment 1 Dmitry Butskoy 2005-10-17 09:59:39 UTC
Thanks.
Add a patch to remove '-s' careful, now in CVS. I'll build new version when
today's plague system's updating will end.

BTW is it a good idea to update now for FC3/FC4 too?



Comment 2 Ville Skyttä 2005-10-17 14:29:59 UTC
Your call.  But if someone reports crashes with nail and no debuginfo is 
available, it could be too late... 
 
By the way, you misspelled "stip" in your latest %changelog entry ;) 


Note You need to log in before you can comment on or make changes to this bug.